#!/bin/env python

# Prints the maps with the most amount of quads in a single layer
# Author: Patiga, made for Jupstar
# License: CC0, do whatever you want with it

import twmap
import sys

args = sys.argv

max_quads = dict()

for arg in args[1:]:
    try:
        map = twmap.Map(arg)
        new_max_quads = 0
        for group in map.groups:
            for layer in group.layers:
                if layer.kind() == "Quads":
                    new_max_quads = max(new_max_quads, len(layer.quads))
        max_quads[arg] = new_max_quads

    except twmap.MapError:
        print(f"Couldn't load map {arg}")

ordered = sorted(max_quads.items(), key=lambda item: item[1], reverse=True)
print(ordered[:5])
